html {
    font-size: 14px;
}

body {
    display: flex;
    flex-direction: column-reverse;
    background-color: #171133;
}

aside {
    display: none;
}

main {
    overflow-y: auto;
    padding: 2rem;
    width: 100%;
    height: 100%;
}

main {
    display: flex;
    align-items: center;
    justify-content: center;
}

section {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 24rem;
}

section.hidden {
    display: none;
}

#showcase {
    position: relative;
}

.slide {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    opacity: 0;
    transition: opacity 1.5s;
    background-size: cover;
    background-position: center;
}

.slide__title {
    position: absolute;
}

.slide__title h2 {
    color: #fff;
    font: italic 500 max(min(4vw, 3.3rem), 2.5rem) 'Montserrat', 'sans-serif';
}

.slide__title h2 .highlight {
    color: #ffb600;
}

.slide__title h2 .large {
    font-size: 4.5rem;
}

#slide-idea {
    background-position-x: 50%;
}

#slide-idea .slide__title {
    right: 10%;
    top: 15%;
}

#slide-child {
    background-position-x: 100%;
}

#slide-child .slide__title {
    left: 11%;
    bottom: 17%;
}

#slide-donuts {
    background-position-y: 80%;
}

#slide-donuts .slide__title {
    text-align: left;
    left: 10%;
    bottom: 10%;
}

#slide-bubbles {
    background-position-x: 85%;
}

#slide-bubbles .slide__title {
    top: 15%;
    right: 15%;
    text-align: right;
}

#slide-bubbles h3:first-child {
    position: relative;
    right: 5%;
}

#slide-bubbles h3:last-child {
    font-size: 3.5rem;
}

#showcase .visible {
    opacity: 1;
}

nav {
    display: flex;
    justify-content: space-evenly;
    width: 100%;
}

h1, .switch {
    font-family: 'Montserrat', 'sans-serif';
    font-weight: 700;
    font-size: 1.2rem;
    color: #fff;
}

.switch {
    font-weight: 500;
    color: #d6cadc;
    cursor: pointer;
}

section > img {
    margin-bottom: 2rem;
    max-width: 200px;
}

section h3 {
    margin-top: 1rem;
    text-align: center;
    color: #d6cadc;
}

form {
    display: flex;
    flex-direction: column;
    margin-top: 1.5rem;
    width: 100%;
    color: #d6cadc;
}

input {
    appearance: none;
    -webkit-appearance: none;
    background: transparent;
    border-radius: 0.5rem;
    border: 1px solid #7369e6;
}

input:focus {
    border: 1px solid #8e86eb;
    box-shadow: 0 0 0.2rem #8e86eb;
}

input.text {
    font: 400 1.2rem 'Roboto', 'sans-serif';
    color: #fff;

    margin: 0.75rem 0;
    padding: 0.7rem 1rem;
}

input.bee {
    position: absolute;
    opacity: 0;
    pointer-events: none;
    top: 0;
    left: 0;
    width: 0;
    height: 0;
}

input.text::placeholder {
    color: #d6cadc;
}

label {
    display: flex;
    align-items: center;
}

input[type="checkbox"] {
    cursor: pointer;

    width: 1.6rem;
    height: 1.6rem;

    margin: 0 0.5rem 0 0;
}

input[type="checkbox"]:checked {
    background-image: url('../../base/img/check.svg');
    background-size: 70%;
    background-position: center;
    background-repeat: no-repeat;
}

button {
    width: 100%;
    border-radius: 0.5rem;

    background-color: #ffb600;
    color: #171133;

    font-family: 'Montserrat', 'sans-serif';
    font-weight: 700;
    font-size: 1.2rem;

    margin: 0.5rem 0;
    padding: 0.7rem 1rem;

    transition: background-color 0.3s;
}

button:hover {
    background-color: #dd9e00;
}

.social {
    display: block;
    width: 100%;
}

.social button {
    display: flex;
    align-items: center;
    justify-content: center;

    color: #fff;
    background-color: #7369e6;
}

.social button:hover {
    background-color: #655ae4;
}

.social img {
    width: 1.5rem;
    height: 1.5rem;
    margin-right: 0.8rem;
    
    -webkit-filter: drop-shadow(0 0 0.1rem rgb(101,90,228));
    filter: drop-shadow(0 0 0.1rem rgb(101, 90, 228));
}

.row {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin: 2.5rem 0 0.75rem;
    font-size: 0.9rem;
}

.row a:hover {
    text-decoration: underline;
}

.errorlist {
    margin-bottom: 0.75rem;
    font-size: 0.8rem;
    color: #C15168;
}

.errorlist li {
    text-align: center;
}

.accept_tos {
    margin-top: 0.5rem;
}

.accept_tos a {
    font-weight: 500;
    color: #dd9e00;
    text-decoration: underline;
}

.accept_tos input {
    display: table;
    width: 2rem;
    height: 2rem;
    margin-right: 1.5rem;
}

@media (min-width: 992px) {
    body {
        flex-direction: row;
    }

    aside {
        display: block;
    }

    aside, main {
        width: 50%;
        height: 100%;
    }

    #slide-bubbles .slide__title {
        top: 20%;
        right: 20%;
    }

    #slide-idea {
        background-position-x: 50%;
    }
}

@media (min-width: 1200px) {
    #slide-idea {
        background-position-x: 60%;
    }

    #slide-idea .slide__title {
        top: 20%;
    }
}

@media (min-width: 1500px) {
    #slide-idea {
        background-position-x: 100%;
    }
}